ISP 3.15 stop to create folders for websites after PHP 7.2 - 7.3

Discussion in 'General' started by Gouzi, Apr 23, 2020.

  1. Gouzi

    Gouzi New Member

    Ubuntu 18.04.4 LTS

    After latest update - I suspect PHP 7.2 -> 7.3 ISP stop to create folders & vhost files.
    Configuration in ISP contains correct paths to 7.3 - there are no errors - Crontab works - Debug mode w/o errors, Database works well.

    I literally check all googleable possibilities but when I create new Website - it exist in ISP but that's all.
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

  3. Gouzi

    Gouzi New Member

    Hi Till,
    it was like second thing I tried.
    There was error, about z_php_fpm_incron_reload_plugin.inc.php & when I checked that file in ..../plugiuns-available it has 0kb size so I copy-paste content manually.
     
  4. Gouzi

    Gouzi New Member

    sudo /usr/local/ispconfig/server/server.sh
    24.04.2020-11:23 - WARNING - There is already a lockfile set, but no process running with this pid (24636). Continuing.

    PHP Fatal error: Cannot declare class z_php_fpm_incron_reload_plugin, because the name is already in use in /usr/local/ispconfig/server/plugins-available/z_php_fpm_incron_reload_plugin.inc.php on line 12
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    Seems as if there are files or parts of files missing in your ISPConfig installation. Run a forced update like this:

    Code:
    cd /tmp
    wget https://www.ispconfig.org/downloads/ISPConfig-3.1.15p3.tar.gz
    tar xvfz ISPConfig-3.1.15p3.tar.gz
    cd ispconfig3_install/install
    php -q update.php
     
  6. Gouzi

    Gouzi New Member

    Hi, thats what I did 21.4. and today again. But today (even when I deleted /z_php_fpm_incron_reload_plugin.inc.php )
    Installer claims:
    PHP Fatal error: Cannot declare class z_php_fpm_incron_reload_plugin, because the name is already in use in /usr/local/ispconfig/server/plugins-available/z_php_fpm_incron_reload_plugin.inc.php on line 12

    Is there any issue with PHP 7.3 ? Since 7.2 was replaced but in ISP config all match - paths, .ini exists etc.
     
  7. Jesse Norell

    Jesse Norell ISPConfig Developer ISPConfig Developer

    You could simply change the default PHP version back to 7.2 and see if everything works. Changing your system PHP version is not supported. I can't actually answer your question of whether 7.3 is causing your issue, but it's easy to test...
     
  8. Gouzi

    Gouzi New Member

    I tried to install 7.2; (no effect)
    I reconfigured ISP to 7.2 (no effect)

    So I did the worst thing - Uninstall ISP and Install again.
    Now its working again... However still not understand what or why caused that "/z_php_fpm_incron_reload_plugin.inc.php" error after update from v .13 to .15

    Thank you for yours time guys.
     

Share This Page